Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.wrapper
Class Wrapper

    java.lang.Object
      org.gradle.wrapper.Wrapper

    public class Wrapper

extends java.lang.Object

Field Summary
`static java.lang.String` | `DISTRIBUTION_BASE_PROPERTY`
`static java.lang.String` | `DISTRIBUTION_CLASSIFIER_PROPERTY`
`static java.lang.String` | `DISTRIBUTION_NAME_PROPERTY`
`static java.lang.String` | `DISTRIBUTION_PATH_PROPERTY`
`static java.lang.String` | `DISTRIBUTION_VERSION_PROPERTY`
`static java.lang.String` | `URL_ROOT_PROPERTY`
`static java.lang.String` | `WRAPPER_PROPERTIES_PROPERTY`
`static java.lang.String` | `ZIP_STORE_BASE_PROPERTY`
`static java.lang.String` | `ZIP_STORE_PATH_PROPERTY`

Constructor Summary
`Wrapper()`

Method Summary
`void` | `execute(java.lang.String[] args, Install install, BootstrapMainStarter bootstrapMainStarter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRAPPER_PROPERTIES_PROPERTY

    public static final java.lang.String WRAPPER_PROPERTIES_PROPERTY

See Also:
  Constant Field Values

### URL_ROOT_PROPERTY

    public static final java.lang.String URL_ROOT_PROPERTY

See Also:
  Constant Field Values

### DISTRIBUTION_BASE_PROPERTY

    public static final java.lang.String DISTRIBUTION_BASE_PROPERTY

See Also:
  Constant Field Values

### ZIP_STORE_BASE_PROPERTY

    public static final java.lang.String ZIP_STORE_BASE_PROPERTY

See Also:
  Constant Field Values

### DISTRIBUTION_PATH_PROPERTY

    public static final java.lang.String DISTRIBUTION_PATH_PROPERTY

See Also:
  Constant Field Values

### DISTRIBUTION_VERSION_PROPERTY

    public static final java.lang.String DISTRIBUTION_VERSION_PROPERTY

See Also:
  Constant Field Values

### ZIP_STORE_PATH_PROPERTY

    public static final java.lang.String ZIP_STORE_PATH_PROPERTY

See Also:
  Constant Field Values

### DISTRIBUTION_NAME_PROPERTY

    public static final java.lang.String DISTRIBUTION_NAME_PROPERTY

See Also:
  Constant Field Values

### DISTRIBUTION_CLASSIFIER_PROPERTY

    public static final java.lang.String DISTRIBUTION_CLASSIFIER_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### Wrapper

    public Wrapper()

Method Detail

### execute

    public void execute(java.lang.String[] args,
                        Install install,
                        BootstrapMainStarter bootstrapMainStarter)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD